Question

Getting error during upgrade process.

  • 21 January 2024
  • 7 replies
  • 85 views

Badge

Hello all, 

We are gettign following error while upgrading software in Nutanix via LCM.

Operation Failed. Reason: Update of Network Controller failed on 192.168.26.140 (environment pc) at stage 1 with error: [Upgrade task (df11fd35-c7a5-46c6-acd4-9d590266ec7d) failed: Failed NetworkControllerUpgradePrechecks Clusters 0005fa4f-3e15-6e8b-02d9-7cc255305cd6:20220304.478 satisfying the current minimum AHV version (20201105.2076) do not satisfy this upgrade's target minimum AHV version (20230302.63).] Logs have been collected and are available to download on 192.168.26.140 at /home/nutanix/data/log_collector/lcm_logs__192.168.26.140__2024-01-19_12-20-29.393673.tar.gz

 

We were on really old version of softwares so as a part of upgrade process, we started upgrading NCC, PC, Foundation, AOS, AHV and then softwares. But now PC is reporting we are on high version of AHV which those softwares do not support. 

Please assist.

 

 


This topic has been closed for comments

7 replies

Userlevel 6
Badge +8

Looks like you first need to upgrade AHV to minimum 20230302.63

Can you share your current versions of all components? 

Badge

Hi,

 

These are the recent upgrade history:
 

AHV version history:
2023-04-27 10:45:51Z el7.nutanix.20220304.392
2024-01-18 06:30:45Z el7.nutanix.20220304.478

AOS version history:
Thu, 27 Apr 2023 10:30:57 el7.3-release-fraser-6.5.2.7-stable-e88ba6e48ce383c930da595202d51d9a0844d41c - LTS
Wed, 17 Jan 2024 13:09:34 el7.3-release-fraser-6.5.5.1-stable-4291da86a7d23431e4192501cde1e531f37a20ed - LTS

NCC version history:
Thu, 27 Apr 2023 10:53:32 release-ncc-4.6.3.1-release-d6a75059327aada46c85293aeff0b45d5fb0a63d (built: Fri, 31 Mar 2023 06:37:23)
Wed, 17 Jan 2024 12:25:41 release-ncc-4.6.5.2-release-163fba153eb03aae4fdaf07e66293a888a007dc0 (built: Fri, 25 Aug 2023 16:20:34)
Wed, 17 Jan 2024 13:42:29 release-ncc-4.6.6.1-release-4d390786f8bd83cba04d98187c4c721f0647df77 (built: Mon, 15 Jan 2024 03:59:32)
 

Userlevel 6
Badge +8

So you are already running:

  • AHV 20220304.478
  • AOS 6.5.5.1

During which upgrade you are getting the error? During Prism Central upgrade or during AHV upgrade? 

And which version of Prism Central are you running? 

Badge

Hi,

 

pc is 2023.4

Preupgrade checks show no error and passes but when you select those 4 component, it fails with those errors.

 

Thanks,

Kishor

Userlevel 6
Badge +8

Check. Please follow the upgrade path descibed here (fill in you own versions): https://portal.nutanix.com/page/documents/upgrade-paths

If nothing helps please involve Nutanix support with this. 

Badge

We tried to do update one at a time. First we did File manager and update succeed and did not showed the error. Second, we did Flow Network security PC, and this also succeed with no error.

However, while doing Network controller and K8 Engine individually, it fails with this error:
 

 

 

So individual update passed two.

Thanks,

Userlevel 5
Badge +6

Hello @kpuri 

In this situation, you need to engage Nutanix support